summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/pbuilder-test/01_listplugins21
-rw-r--r--debian/pbuilder-test/02_ladspah5
-rw-r--r--debian/tests/02_ladspah.c (renamed from debian/pbuilder-test/02_ladspah.c)0
-rw-r--r--debian/tests/control2
-rwxr-xr-xdebian/tests/ladspah7
-rwxr-xr-xdebian/tests/listplugins15
6 files changed, 24 insertions, 26 deletions
diff --git a/debian/pbuilder-test/01_listplugins b/debian/pbuilder-test/01_listplugins
deleted file mode 100644
index 9e6de9b..0000000
--- a/debian/pbuilder-test/01_listplugins
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/bash
-# make sure listplugins works.
-
-diff -u <(listplugins 2>&1 | sort ) <( cat <<EOF
- Mono Amplifier (1048/amp_mono)
- Simple Delay Line (1043/delay_5s)
- Simple High Pass Filter (1042/hpf)
- Simple Low Pass Filter (1041/lpf)
- Sine Oscillator (Freq:audio, Amp:audio) (1044/sine_faaa)
- Sine Oscillator (Freq:audio, Amp:control) (1045/sine_faac)
- Sine Oscillator (Freq:control, Amp:audio) (1046/sine_fcaa)
- Sine Oscillator (Freq:control, Amp:control) (1047/sine_fcac)
- Stereo Amplifier (1049/amp_stereo)
- White Noise Source (1050/noise_white)
-/usr/lib/ladspa/amp.so:
-/usr/lib/ladspa/delay.so:
-/usr/lib/ladspa/filter.so:
-/usr/lib/ladspa/noise.so:
-/usr/lib/ladspa/sine.so:
-Warning: You do not have a LADSPA_PATH environment variable set.
-)
diff --git a/debian/pbuilder-test/02_ladspah b/debian/pbuilder-test/02_ladspah
deleted file mode 100644
index 139cbbd..0000000
--- a/debian/pbuilder-test/02_ladspah
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-# test that ladspa.h works
-set -e
-gcc debian/pbuilder-test/02_ladspah.c -o /tmp/test.o
-/tmp/test.o
diff --git a/debian/pbuilder-test/02_ladspah.c b/debian/tests/02_ladspah.c
index dd4171a..dd4171a 100644
--- a/debian/pbuilder-test/02_ladspah.c
+++ b/debian/tests/02_ladspah.c
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..734ef75
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: listplugins, ladspah
+Depends: ladspa-sdk
diff --git a/debian/tests/ladspah b/debian/tests/ladspah
new file mode 100755
index 0000000..beae974
--- /dev/null
+++ b/debian/tests/ladspah
@@ -0,0 +1,7 @@
+#!/bin/bash
+# test that ladspa.h works
+set -e
+
+target=`mktemp`
+gcc debian/tests/02_ladspah.c -o "$target"
+"$target"
diff --git a/debian/tests/listplugins b/debian/tests/listplugins
new file mode 100755
index 0000000..cfac069
--- /dev/null
+++ b/debian/tests/listplugins
@@ -0,0 +1,15 @@
+#!/bin/bash
+# make sure listplugins works.
+
+set -e
+set -o pipefail
+
+export LADSPA_PATH=/usr/lib/ladspa
+
+shipped_plugins="amp delay filter noise sine"
+
+for plugin in $shipped_plugins ; do
+ echo "Checking $plugin"
+ listplugins | grep -q "^$LADSPA_PATH/${plugin}.so"
+done
+